<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:41 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>SyncJobControlDAO (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SyncJobControlDAO (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SyncJobControlDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/dao/SyncJobConfigDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/dao/SyncJobControlDAO.SyncJobInfo.html" title="class in io.mosip.registration.dao"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dao/SyncJobControlDAO.html" target="_top">Frames</a></li>
<li><a href="SyncJobControlDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.dao</div>
<h2 title="Interface SyncJobControlDAO" class="title">Interface SyncJobControlDAO</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../io/mosip/registration/dao/impl/SyncJobControlDAOImpl.html" title="class in io.mosip.registration.dao.impl">SyncJobControlDAOImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">SyncJobControlDAO</span></pre>
<div class="block">DAO class for SyncJobDAO.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Chukka Sreekar</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/SyncJobControlDAO.SyncJobInfo.html" title="class in io.mosip.registration.dao">SyncJobControlDAO.SyncJobInfo</a></span></code>
<div class="block">The Class SyncJobInfo.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/SyncJobControlDAO.html#findAll--">findAll</a></span>()</code>
<div class="block">Get all sync control records.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/SyncJobControlDAO.html#findBySyncJobId-java.lang.String-">findBySyncJobId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</code>
<div class="block">Get Sync Control data using jobId.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/SyncJobControlDAO.html#getRegistrationDetails--">getRegistrationDetails</a></span>()</code>
<div class="block">Get Registration Details.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/dao/SyncJobControlDAO.SyncJobInfo.html" title="class in io.mosip.registration.dao">SyncJobControlDAO.SyncJobInfo</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/SyncJobControlDAO.html#getSyncStatus--">getSyncStatus</a></span>()</code>
<div class="block">Gets the values for sync status.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/SyncJobControlDAO.html#save-io.mosip.registration.entity.SyncControl-">save</a></span>(<a href="../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&nbsp;syncControl)</code>
<div class="block">Save Sync Control Transaction.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/SyncJobControlDAO.html#update-io.mosip.registration.entity.SyncControl-">update</a></span>(<a href="../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&nbsp;syncControl)</code>
<div class="block">Update Sync control transaction.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSyncStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSyncStatus</h4>
<pre><a href="../../../../io/mosip/registration/dao/SyncJobControlDAO.SyncJobInfo.html" title="class in io.mosip.registration.dao">SyncJobControlDAO.SyncJobInfo</a>&nbsp;getSyncStatus()</pre>
<div class="block">Gets the values for sync status.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the syncInfo</dd>
</dl>
</li>
</ul>
<a name="update-io.mosip.registration.entity.SyncControl-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre><a href="../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&nbsp;update(<a href="../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&nbsp;syncControl)</pre>
<div class="block">Update Sync control transaction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>syncControl</code> - sync control</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>sync control</dd>
</dl>
</li>
</ul>
<a name="save-io.mosip.registration.entity.SyncControl-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre><a href="../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&nbsp;save(<a href="../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&nbsp;syncControl)</pre>
<div class="block">Save Sync Control Transaction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>syncControl</code> - sync Control</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>sync control</dd>
</dl>
</li>
</ul>
<a name="findBySyncJobId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findBySyncJobId</h4>
<pre><a href="../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&nbsp;findBySyncJobId(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</pre>
<div class="block">Get Sync Control data using jobId.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>syncJobId</code> - id</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>SyncControl data</dd>
</dl>
</li>
</ul>
<a name="findAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findAll</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&gt;&nbsp;findAll()</pre>
<div class="block">Get all sync control records.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of syncControl</dd>
</dl>
</li>
</ul>
<a name="getRegistrationDetails--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRegistrationDetails</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;&nbsp;getRegistrationDetails()</pre>
<div class="block">Get Registration Details.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of Registration</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SyncJobControlDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/dao/SyncJobConfigDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/dao/SyncJobControlDAO.SyncJobInfo.html" title="class in io.mosip.registration.dao"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dao/SyncJobControlDAO.html" target="_top">Frames</a></li>
<li><a href="SyncJobControlDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
